package collector

_imagethispage_ {<a href="_httppagecollector_">_iconhcolect_</a>}

# _pagescriptextra_ will be set to the appropriate _***scriptextra_
# macro from within the server
_pagescriptextra_ {}

# this is just like the _gsimage_ macro but it calls the check_submit() javascript
# function instead of linking directly to the page (_1_ argument isn't used)
_gsjimage_ {<a href="javascript:check\_submit('_4_');" onMouseover="roll('_4_',1);" onMouseOut="roll('_4_',0);" target=_top><img
name="_4_" src="_2_" onLoad="gbutton(this,'_3_');" border=0 alt="_5_"></a>}
_gsjimage_ [v=1] {<a href="javascript:check\_submit('_4_');" target=_top>_5_</a><br>}

# _gstimage_ is also similar to _gsimage_ but is used where buttons occur in a sub-frame and
# require target=_top
_gstimage_ {<a href="_1_" onMouseover="roll('_4_',1);" onMouseOut="roll('_4_',0);" target="\_top"><img
name="_4_" src="_2_" onLoad="gbutton(this,'_3_');" border=0 alt="_5_"></a>}
_gstimage_ [v=1] {<a href="_1_" target="\_top">_5_</a><br>}

# a plain header for those pages that need it (the _pagebanner_ macro
# will be set to this by the server for those pages.
_plainbanner_ {}

# dont want links to "help" or "preferences" pages from within
# collector
_javalinks_ {_imagehome_}
_javalinks_ [v=1] {
_imagehome_<br>
}


#######################################################################
# icons

_iconhcolect_ {<img src="_httpimg_/h_colect.gif" alt="the collector" border=0>}
_icongreyarrow_ {<img src="_httpimg_/grarrow.gif">}
_icongreyuparrow_ {<img src="_httpimg_/guarrow.gif">}
_iconstop_ {<img src="_httpimg_/stop.gif" border=0>}

_icongcinfoof_ {<img src="_httpicongcinfoof_" alt="_textinfo_">}
_icongcinfoon_ {<img src="_httpicongcinfoon_" alt="_textinfo_">}
_iconycinfoof_ {<img src="_httpiconycinfoof_" alt="_textinfo_">}
_iconycinfoon_ {<img src="_httpiconycinfoon_" alt="_textinfo_">}
_iconncinfoof_ {<img src="_httpiconncinfoof_" alt="_textinfo_">}
_textinfo_ {collection information}

_icongcsrceof_ {<img src="_httpicongcsrceof_" alt="_textsrce_">}
_icongcsrceon_ {<img src="_httpicongcsrceon_" alt="_textsrce_">}
_iconycsrceof_ {<img src="_httpiconycsrceof_" alt="_textsrce_">}
_iconycsrceon_ {<img src="_httpiconycsrceon_" alt="_textsrce_">}
_iconncsrceof_ {<img src="_httpiconncsrceof_" alt="_textsrce_">}
_textsrce_ {source data}

_icongcconfof_ {<img src="_httpicongcconfof_" alt="_textconf_">}
_icongcconfon_ {<img src="_httpicongcconfon_" alt="_textconf_">}
_iconycconfof_ {<img src="_httpiconycconfof_" alt="_textconf_">}
_iconycconfon_ {<img src="_httpiconycconfon_" alt="_textconf_">}
_iconncconfof_ {<img src="_httpiconncconfof_" alt="_textconf_">}
_textconf_ {configure collection}

_icongcbildof_ {<img src="_httpicongcbildof_" alt="_textbild_">}
_icongcbildon_ {<img src="_httpicongcbildon_" alt="_textbild_">}
_iconycbildof_ {<img src="_httpiconycbildof_" alt="_textbild_">}
_iconycbildon_ {<img src="_httpiconycbildon_" alt="_textbild_">}
_iconncbildof_ {<img src="_httpiconncbildof_" alt="_textbild_">}
_textbild_ {build}

_icongcviewof_ {<img src="_httpicongcviewof_" alt="_textview_">}
_icongcviewon_ {<img src="_httpicongcviewon_" alt="_textview_">}
_iconycviewof_ {<img src="_httpiconycviewof_" alt="_textview_">}
_iconycviewon_ {<img src="_httpiconycviewon_" alt="_textview_">}
_iconncviewof_ {<img src="_httpiconncviewof_" alt="_textview_">}
_textview_ {view}

_icongcdelof_ {<img src="_httpicongcdelof_" alt="_textdel_">}
_icongcdelon_ {<img src="_httpicongcdelon_" alt="_textdel_">}
_textdel_ {delete collection}

#######################################################################
# http macros 

_httpinfo_ {_gwcgi_?e=_compressedoptions_&cp=info}
_httpsrce_ {_gwcgi_?e=_compressedoptions_&cp=srce}
_httpconf_ {_gwcgi_?e=_compressedoptions_&cp=conf}
_httpbild_ {_gwcgi_?e=_compressedoptions_&cp=bild}
_httpview_ {_gwcgi_?a=p&p=about&c=_cgiargbc1dirname_}
_httpdel_  {javascript:do_delete();}

_httpicongcinfoof_ {_httpimg_/gcinfoof.gif}
_httpicongcinfoon_ {_httpimg_/gcinfoon.gif}
_httpiconycinfoof_ {_httpimg_/ycinfoof.gif}
_httpiconycinfoon_ {_httpimg_/ycinfoon.gif}
_httpiconncinfoof_ {_httpimg_/ncinfoof.gif}

_httpicongcsrceof_ {_httpimg_/gcsrceof.gif}
_httpicongcsrceon_ {_httpimg_/gcsrceon.gif}
_httpiconycsrceof_ {_httpimg_/ycsrceof.gif}
_httpiconycsrceon_ {_httpimg_/ycsrceon.gif}
_httpiconncsrceof_ {_httpimg_/ncsrceof.gif}

_httpicongcconfof_ {_httpimg_/gcconfof.gif}
_httpicongcconfon_ {_httpimg_/gcconfon.gif}
_httpiconycconfof_ {_httpimg_/ycconfof.gif}
_httpiconycconfon_ {_httpimg_/ycconfon.gif}
_httpiconncconfof_ {_httpimg_/ncconfof.gif}

_httpicongcbildof_ {_httpimg_/gcbildof.gif}
_httpicongcbildon_ {_httpimg_/gcbildon.gif}
_httpiconycbildof_ {_httpimg_/ycbildof.gif}
_httpiconycbildon_ {_httpimg_/ycbildon.gif}
_httpiconncbildof_ {_httpimg_/ncbildof.gif}

_httpicongcviewof_ {_httpimg_/gcviewof.gif}
_httpicongcviewon_ {_httpimg_/gcviewon.gif}
_httpiconycviewof_ {_httpimg_/ycviewof.gif}
_httpiconycviewon_ {_httpimg_/ycviewon.gif}
_httpiconncviewof_ {_httpimg_/ncviewof.gif}

_httpicongcdelof_ {_httpimg_/gcdelof.gif}
_httpicongcdelon_ {_httpimg_/gcdelon.gif}


#######################################################################
# intro
#######################################################################

_introscriptextra_ {}

_introcontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">

<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center>
<h2>The Collector</h2>
<p><i>The pen is mightier than the sword!
<br>Building and distributing information collections carries responsibilities
that you may want to reflect on before you begin.
There are legal issues of copyright: being able to access documents doesn't
mean you can necessarily give them to others.
There are social issues:  collections should respect the customs of the
community out of which the documents arise.
And there are ethical issues: some things simply should not be made 
available to others.
<br>Be sensitive to the power of information and use it wisely.
</i>
</center>
<p>_iconblankbar_

<p>The Collector helps you to create new collections, modify or add to
existing ones, or delete collections.  To do this you will be guided through a
sequence of Web pages which request the information that is needed.

<p>First, you must decide whether to
<ul>
<input type=radio name=cp value=new checked>
create an entirely new collection 
<br>
<input type=radio name=cp value=existing>
work with an existing one, adding data to it or deleting it.
</ul>
<p>_iconblankbar_

<p>In order to build or modify digital library collections you must sign in.
This is to protect you from others logging in to your computer and altering the
information on it.  Note: for security reasons you will be automatically logged
out once a 30 minute period has elapsed since you logged in.  If this happens,
don't worry! -- you will be invited to log in again and can continue from where
you left off.

<p>Please enter your username and password, and click the button to sign in.

<table><tr><td width=80>Name:</td>
<td><input type="text" name="un" value="" size=10></td>
<td></td></tr>
<tr><td>Password:</td>
<td><input type="password" name="pw" size=10></td>
<td><input type="submit" value="sign in"></td>
</tr>
</table>
<p>_iconblankbar_
</td></tr>
</table></center>

</form>
}


#######################################################################
# existing (Changing an existing collection page)
#######################################################################

_existingscriptextra_ {
function check\_submit (gotopage) \{
  var form = document.collectorform;
  if (gotopage == "srce") \{
    form.bc1esrce.value = "1";
  \}
  if (gotopage == "conf") \{
    form.bc1econf.value = "1";
  \}
  form.cp.value = gotopage;
  form.submit();
\}

function do_delete () \{
  var form = document.collectorform;  
  var i = form.bc1dirname.selectedIndex;
  var del = confirm ("Confirm deletion of " + form.bc1dirname.options[i].value + " collection?");
  if (del) \{
    form.bc1dodelete.value = "1";
    form.submit();
  \}
\}
}

_changeexisting_ {
<p>First select the collection that you want to work with (write protected
collections won't appear in this list).
<br>_fullnamemenu_<br>
<p>With the collection you have selected, you can

<table cellspacing=6>
<tr><td width=20 align=right valign=bottom>1.</td>
<td valign=bottom>_gsjimage_( ,_collector:httpicongcsrceof_,_collector:httpicongcsrceon_,srce,_collector:textsrce_)</td>
<td valign=bottom>Add more data and rebuild the collection</td></tr>
<tr><td align=right valign=bottom>2.</td>
<td valign=bottom>_gsjimage_(_,_collector:httpicongcconfof_,_collector:httpicongcconfon_,conf,_collector:textconf_)</td>
<td valign=bottom>Edit the collection configuration file and rebuild the collection</td></tr>
<tr><td align=right valign=bottom>3.</td>
<td valign=bottom>_gsimage_(_collector:httpdel_,_collector:httpicongcdelof_,_collector:httpicongcdelon_,del,_collector:textdel_)</td>
<td valign=bottom>Delete the collection entirely</td></tr>
</table>
}

_existingcontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="cp" value="_cgiargcp_">
<input type=hidden name="bc1dodelete" value="0">
<input type=hidden name="bc1esrce" value="0">
<input type=hidden name="bc1econf" value="0">
<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center><h2>Changing an existing collection</h2></center>
_iconblankbar_
_If_("_fullnamemenu_" eq "",<p>No write-enabled collections are available for modifying,_changeexisting_)
<p>_iconblankbar_
</td></tr>
</table></center>
</form>
}


#######################################################################
# new (Create a new collection page)
#######################################################################

_newscriptextra_ {}

_newcontent_ {
<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center><h2>Creating a new collection</h2></center>
_iconblankbar_

<p>The sequence of steps needed to create a new digital library collection is:
<table cellspacing=6>
<tr><td width=20 align=right valign=bottom>1.</td>
    <td valign=bottom>_iconncinfoof_</td>
    <td valign=bottom>Specify its name (and associated information)</td></tr>
<tr><td align=right valign=bottom>2.</td>
    <td valign=bottom>_iconncsrceof_</td>
    <td valign=bottom>Specify where the source data comes from</td></tr>
<tr><td align=right valign=bottom>3.</td>
    <td valign=bottom>_iconncconfof_</td>
    <td valign=bottom>Adjust the configuration options (advanced users only)</td></tr>
<tr><td align=right valign=bottom>4.</td>
    <td valign=bottom>_iconncbildof_</td>
    <td valign=bottom>"Build" the collection (see below)</td></tr>
<tr><td align=right valign=bottom>5.</td>
    <td valign=bottom>_iconncviewof_</td>
    <td valign=bottom>Proudly view your handiwork.</td></tr>
</table>

<p>The fourth step is where the computer does all the work.  In the "building"
process the computer makes all the indexes and gathers together any other
information that is required to make things work.  But first you have to
specify the information. 

<p>_iconblankbar_

<p>A diagram appears below that will help you keep track of where you are.  The
green button is the one that you click to carry on in the sequence.  As you go
through the sequence, the buttons will change to yellow.  You can return to a
previous page by clicking on the corresponding yellow button in the diagram.

<p>When you are ready, click the green "collection information" button to
begin creating your new digital library collection!

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>
}


#######################################################################
# info (Collection information page)
#######################################################################

_infoscriptextra_ {
function check\_submit (gotopage) \{
  var form = document.collectorform;
  if (form.bc1fullname.value.match(/^\\s*$/))
  \{
    alert("Collection name must be specified");
    form.bc1fullname.focus();
    return;
  \}
  else if (form.bc1contactemail.value.match(/^\\s*$/))
  \{     
    alert("Email address must be specified");
    form.bc1contactemail.focus();
    return;
  \}
  else if (!form.bc1contactemail.value.match(/^([^@]+)@(.+)$/))
  \{
    alert("Please specify email address in the form: usename@domain");
    form.bc1contactemail.focus();
    return;
  \}
  else if (form.bc1aboutdesc.value.match(/^\\s*$/))
  \{
    alert("Description of collection must be specified");
    form.bc1aboutdesc.focus();
    return;
  \}
  form.cp.value = gotopage;
  form.submit();
\}
}

_infocontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="cp" value="_cgiargcp_">
<input type=hidden name="bc1infochanged" value="0">

<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center>
<h2>Collection information</h2>
</center>
<p>_iconblankbar_

<p>When creating a new collection you need to enter some preliminary
information about the source data.  This process is structured as a series
of Web pages, overseen by The Collector.  The bar at the bottom of the page
shows you the sequence of pages to be completed.  

<h4>Title for collection:</h4>
<input type="text" name="bc1fullname" value="_cgiargbc1fullname_"
onChange="document.collectorform.bc1infochanged.value=1;") size=72>
<br>
<font color="#909090">
The collection title is a short phrase used throughout the digital library to
identify the content of the collection.  Example titles
include &quot;Computer Science Technical Reports&quot; and &quot;Humanity
Development Library.&quot;
</font>

<h4>Contact email address:</h4>
<input type="text" name="bc1contactemail" value="_cgiargbc1contactemail_"
onChange="document.collectorform.bc1infochanged.value=1;" size=72>
<br>
<font color="#909090">
This email address specifies the first point of contact for the collection.
If the Greenstone software detects a problem, a diagnostic report is
sent to this address.  Enter an email address in its full form:
<tt>name@domain</tt>.
</font>

<h4>About this collection:</h4>
<textarea name="bc1aboutdesc"  cols=72 rows=6 wrap=physical
onChange="document.collectorform.bc1infochanged.value=1;">
_cgiargbc1aboutdesc_
</textarea>
<br>
<font color="#909090">
This is statement describing the principles governing what is included in the
collection.  It appears on the first page when the collection is presented.
</font>

<p>_iconblankbar_

<p>Your position in the sequence is indicated by an arrow underneath--in this
case, the "collection information" stage.  To proceed, click the green "source
data" button.

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>

</form>
}


#######################################################################
# srce (Source data page)
#######################################################################

# _fullnamemenu is set from within the server. If it's empty there are
# no valid collections 
_fullnamemenu_ {}

_srcescriptextra_ {
var cloneval = _cgiargbc1clone_;

function check\_submit (gotopage) \{
  var form = document.collectorform;
  var found = 0;
  var i = 0;
  if (!form.bc1inputdir1.value.match(/^\\s*$/)) \{
    if (!form.bc1inputdir1.value.match(/^\(http|ftp|file\):/)) \{
      i = form.sel1.selectedIndex;
      form.bc1inputdir1.value = form.sel1.options[i].value + form.bc1inputdir1.value;
    \}
    found = 1;
  \}
  if (!form.bc1inputdir2.value.match(/^\\s*$/)) \{
    if (!form.bc1inputdir2.value.match(/^\(http|ftp|file\):/)) \{
      i = form.sel2.selectedIndex;
      form.bc1inputdir2.value = form.sel2.options[i].value + form.bc1inputdir2.value;
    \}
    found = 1;
  \}
  if (!form.bc1inputdir3.value.match(/^\\s*$/)) \{
    if (!form.bc1inputdir3.value.match(/^\(http|ftp|file\):/)) \{
      i = form.sel3.selectedIndex;
      form.bc1inputdir3.value = form.sel3.options[i].value + form.bc1inputdir3.value;
    \}
    found = 1;
  \}
  if (!form.bc1inputdir4.value.match(/^\\s*$/)) \{
    if (!form.bc1inputdir4.value.match(/^\(http|ftp|file\):/)) \{
      i = form.sel4.selectedIndex;
      form.bc1inputdir4.value = form.sel4.options[i].value + form.bc1inputdir4.value;
    \}
    found = 1;
  \}

  if (!found)
  \{
    alert("At least one input source must be specified");
    form.bc1inputdir1.focus();
    return;
  \}

  form.cp.value = gotopage;
  form.submit();
\}

function clone\_changed (changedto) \{
  var form = document.collectorform;
  if (changedto != cloneval) \{
    form.bc1clonechanged.value = 1;
  \} else \{
    form.bc1clonechanged.value = 0;
  \}
  menuchange();
\}

function menuchange () \{
  var form = document.collectorform;
  var warnlist = new Array (_warnindex_);

  if (warnlist[form.bc1clonecol.selectedIndex] == 1) \{
    alert ("The collection you are cloning has a non-standard input file\\n" +
           "format, and/or uses metadata specified in auxiliary files.  If your\\n" +
	   "new input lacks this information, some browsing facilities may not\\n" +
           "work properly.");
  \}
\}
}

_srcenew_ {
<center>
<h2>Source data</h2>
</center>
<p>_iconblankbar_

<p>You can either create a completely new collection, or "clone" an existing one
-- that is, base the structure of your new collection on one that exists already.
<ul>
<input type=radio onClick="clone_changed(0);" name=bc1clone value=0
_If_("_cgiargbc1clone_" eq "0",checked)><b>Create new collection</b>
<br><font color="#909090">
Create a completely new collection. The collection may contain html documents (.htm, .html), plain text
documents (.txt, .text), or email documents (.email).
</font>
</ul>
<ul>_If_("_fullnamemenu_" eq "",
No collections available for cloning.,_srcemenu_)
</ul>
}

_srceappend_ {
<center>
<h2>Add new data</h2>
</center>
<p>_iconblankbar_
<h4>Adding data:</h4>
The files that you specify below will be added to the collection. Make sure
that you do not re-specify files that are already in the collection:
otherwise two copies will be included. Files are identified by their full
pathname, Web pages by their absolute Web address.
}

_srcecontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="cp" value="_cgiargcp_">
<input type=hidden name="bc1clonechanged" value="0">

<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
_If_("_cgiargbc1esrce_" eq "1",_srceappend_,_srcenew_)

<h4>Input source:</h4>
<nobr>_typeselect_(1,file)<input type=text name="bc1inputdir1" value="_cgiargbc1inputdir1_" size=60></nobr>
<br>
<nobr>_typeselect_(2,http)<input type=text name="bc1inputdir2" value="_cgiargbc1inputdir2_" size=60></nobr>
<br>
<nobr>_typeselect_(3,ftp)<input type=text name="bc1inputdir3" value="_cgiargbc1inputdir3_" size=60></nobr>
<br>
<nobr>_typeselect_(4,file)<input type=text name="bc1inputdir4" value="_cgiargbc1inputdir4_" size=60></nobr>
<br>
<font color="#909090">
These specify where the source data is located.  There are three kinds of
location:
<ul>
<li> a directory name on your computer system (beginning with "file://"),
<li> an address beginning with "http://" for files to be downloaded from the
Web,
<li> an address beginning with "ftp://" for files to be downloaded using FTP
(file transfer protocol).
</ul>
In each case, the collection will include all files of the appropriate type in
the specified directory, in any directories it contains, in any directories
they contain, and so on.  
<p>You can specify up to four different input sources.  If you specify a
filename, just that file will be included.
</font>

<p>_iconblankbar_
<p>Click one of the green buttons. If you are an advanced user you may want
to adjust the collection configuration. Alternatively, go straight to the
building stage. Remember, you can always revisit an earlier stage by
clicking its yellow button.

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>

</form>
}

_typeselect_ {<select name="sel_1_">
<option value="file://" _If_("_2_" eq "file",selected)>file://
<option value="http://" _If_("_2_" eq "http",selected)>http://
<option value="ftp://" _If_("_2_" eq "ftp",selected)>ftp://
</select>}

_srcemenu_ {<input type=radio name=bc1clone onClick="clone_changed(1);" value=1 
_If_("_cgiargbc1clone_" eq "1",checked)><b>Clone existing collection</b>
<br>_fullnamemenu_<br>
<font color=#909090>
This pull-down menu specifies which collection you want to clone.  The files in
your new collection must be exactly the same type as those used to build
the existing one.
</font>
}


#######################################################################
# conf (Configure collection page)
#######################################################################

_confscriptextra_ {
var changed = 0;

function check\_submit (gotopage) \{
  var form = document.collectorform;
  form.bc1cfgchanged.value = changed;
  form.cp.value = gotopage;
  form.submit();
\}

function reset\_button () \{
  document.collectorform.reset();
  changed = 0;
\}
}

_confcontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="cp" value="_cgiargcp_">
<input type=hidden name="bc1cfgchanged" value="_cgiargbc1cfgchanged_">

<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center>
<h2>Configure collection</h2>
</center>
<p>_iconblankbar_

<p>The building and presentation of your collection are controlled by
specifications in a special "configuration file".  Advanced users may want
to alter the configuration settings.

<center><p><b>If you are not an advanced user, just go to the bottom of the
page.</b></center> 

<p>To alter the configuration settings, edit the data that appears below.
If you make a mistake, click on &quot;Reset&quot; to reinstate the
original configuration settings.

<p><textarea name="bc1cfgfile" cols=72 rows=18 wrap=off onChange="changed=1;">
_cfgfile_
</textarea>
<table><tr valign=top>
<td><a href="javascript:reset\_button();">_iconstop_</a></td>
<td><a href="javascript:reset\_button();">Reset</a></td>
</tr></table>

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>

</form>
}


#######################################################################
# bild (main frameset for build page)
#######################################################################

_bildcontent_ {
<html>
<head>
<script>
<!--
function check\_submit (gotopage) \{
  var form = document.collectorform;
  form.cp.value = gotopage;
  form.submit();
\}
// -->
</script>
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="cp" value="_cgiargcp_">
</head>

<frameset rows="*,160" border=0>
  <noframes><body bgcolor="#ffffff">
  <p>You must have a frame enabled browser to obtain feedback
  on how the building process is progressing. The collection <i>will</i>
  continue to build as normal however.

  <table>
  <tr valign=center><td>
  To stop the building process at any time, click here.
  <br>The collection you are working on will remain intact.
  </td>
  <td><input type="submit" value="stop building"></td>
  </table>

  </body>
  </noframes>
  <frame src="_gwcgi_?e=_compressedoptions_&cp=bildframe1">
  <frame src="_gwcgi_?e=_compressedoptions_&cp=bildstatus">
</frameset>
</html>
}

#######################################################################
# bildframe1
#######################################################################

# header overridden to allow base target to be set
# also no page banner to maximise what we can fit in the frame without scrolling
_bildframe1header_ {_cgihead_
<html>
<head>
<base target=_top>
<title>_pagetitle_</title>
_globalscripts_
</head>
<body bgcolor="\#ffffff" text="\#000000" link="\#006666" 
      alink="\#cc9900" vlink="\#666633" background="_httpiconchalk_">
_startspacer_
}
_bildframe1header_[v=1] {_cgihead_
<html>
<head>
<base target=_top>
<title>_pagetitle_</title>
_globalscripts_
</head>
<body bgcolor="\#ffffff" text="\#000000" link="\#006666" 
      alink="\#cc9900" vlink="\#666633" background="_httpiconchalk_">
}
_bildframe1scriptextra_ {}
_bildframe1content_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="cp" value="bildcancel">
<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center>
<h2>Build</h2>
</center>
<p>_iconblankbar_
<p>
The collection is now being built: this might take some time. The building
status line below gives feedback on how the operation is progressing.
<p>

<table>
<tr valign=center><td>
To stop the building process at any time, click here.
<br>The collection you are working on will remain intact.
</td>
<td><input type="submit" value="stop building"></td>
</table>

<p>
If you leave this page (and have not cancelled the building process with
the "stop building" button) the collection will continue to build and will
be installed upon successful completion.
</td></tr>
</table></center>
</form>
}


#######################################################################
# bildcancel
#######################################################################

_bildcancelscriptextra_ {
function check\_submit (gotopage) \{
  var form = document.collectorform;
  form.cp.value = gotopage;
  form.submit();
\}
}
_bildcancelcontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="cp" value="_cgiargcp_">
</form>
<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
<center>
<h2>Build cancelled</h2>
</center>
<p>_iconblankbar_
<p>
The collection building process was cancelled. Use the yellow buttons below
to make changes to your collection or restart the building process.
<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>
}


#######################################################################
# bildstatus
#######################################################################

# special header for status page
_bildstatusheader_ {_cgihead_
_htmlhead_(background="_httpiconchalk_" onLoad="initialize();")_startspacer_
}
_bildstatusheader_[v=1] {_cgihead_
_htmlhead_(onLoad="initialize();")
}

_bildstatusscriptextra_ {
var timer = 5;
function initialize() \{
  setTimeout("count_down()",1000);
\}

function count_down() \{
  if (timer==0) \{
    window.status = "";
    document.collectorform.submit();
  \} else \{
    window.status = "Building status update in  "+timer+" seconds";
    timer--;
    setTimeout("count_down()",1000);
  \}	
\}
}

_bildstatuscontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<center>
<table width=_pagewidth_>
<tr><td>
_statusline_
</td></tr>
</table></center>
</form>
}


#######################################################################
# bilddone
#######################################################################

_bilddoneheader_ {_cgihead_
_htmlhead_(background="_httpiconchalk_")_startspacer_
}
_bilddonescriptextra_ {}
_bilddonecontent_ {
<center>
<table width=_pagewidth_>
<tr><td>
<p>Collection built successfully.

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>
}


#######################################################################
# bildfail
#######################################################################

_bildfailheader_ {_cgihead_
_htmlhead_(background="_httpiconchalk_")_startspacer_
}
_bildfailscriptextra_ {
function check\_submit (gotopage) \{
  var form = document.collectorform;
  form.cp.value = gotopage;
  form.submit();
\}
}
_bildfailcontent_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="cp" value="_cgiargcp_">
</form>
<center>
<table width=_pagewidth_>
<tr><td>
<p>An error has occurred while attempting to build your collection.
<br> The build log contains the following:
<p>_faillog_

<p><center>
_collectorbar_
</center>

</td></tr>
</table></center>
}


#######################################################################
# Error and message pages
#######################################################################

_messagehead_ {
<form name="collectorform" method=post action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">

<center>
<table width=_pagewidth_>
<tr><td>
_iconblankbar_
}

_messagefoot_ {
<p>
<a href="javascript:document.collectorform.submit();">Return to the collector</a>
<p>_iconblankbar_
</td></tr>
</table></center>
</form>
}

_messagefootnolink_ {
<p>_iconblankbar_
</td></tr>
</table></center>
</form>
}

_delpermissioncontent_ {
_messagehead_
<p>
Some or all of the _cgiargbc1dirname_ collection could not be
deleted. Possible causes are:
<ul>
<li> Greenstone does not have permission to delete the gsdl/collect/_cgibc1dirname_
directory.
</ul>
_messagefoot_
}

_delinvalidcontent_ {
_messagehead_
<p>
The _cgiargbc1dirname_ collection is protected or invalid. Deletion was cancelled.
_messagefoot_
}

_delsuccesscontent_ {
_messagehead_
<p>
The _cgiargbc1dirname_ collection was successfully deleted.
_messagefoot_
}

_clonefailcontent_ {
_messagehead_
<input type=hidden name="bc1clone" value="0">
<p>
The _cgiargclonecol_ collection cound not be cloned. Possible causes are:
<ul>
<li> The _cgiargclonecol_ collection doesn't exist
<li> The _cgiargclonecol_ collection has no collect.cfg configuration file
<li> Greenstone does not have permission to read the collect.cfg configuration file
_messagefoot_
}

_genericcontent_ {
_messagehead_
<p>
Collector error.
_messagefoot_
}

_tmpfailcontent_ {
_messagehead_
<p>
The collector failed to read from or write to a temporary file or
directory. Possible causes are:
<ul>
<li> Greenstone does not have read/write access to the gsdl/tmp
     directory.
</ul>
_messagefoot_
}

_mkcolfailcontent_ {
_messagehead_
<p>

The collector failed to create the directory structure required by the new
collection (mkcol.pl failed). Possible causes are:
<ul>
<li> Greenstone does not have permission to write to the gsdl/tmp
     directory.
<li> mkcol.pl perl script errors.
</ul>
_messagefoot_
}

_nocollectioncontent_ {
_messagehead_
<p>
Collector error: no collection name was provided for the new collection. Try 
restarting the Collector from the beginning.
<br><a href="_httppagecollector_">Restart the Collector</a>
<p>
_messagefootnolink_
}

_reloaderrorcontent_ {
_messagehead_
<p>
An error occurred while creating the new collection. This may have been due
to Greenstone getting confused by the use of your browser's "reload" or
"back" buttons (please try to avoid using these buttons while creating a
collection with the Collector).  It is recommended that you restart the
Collector from the beginning.
<br><a href="_httppagecollector_">Restart the Collector</a>
<p>
_messagefootnolink_
}

_installfailcontent_ {
_messagehead_
<p>

The collector failed to install your new collection correctly. 
Possible causes are:
<ul>
<li> Greenstone does not have permission to write to the gsdl/collect
     directory.
<li> A _cgiargsbc1dirname_ collection already exists in the gsdl/collect
     directory.
</ul>
_messagefoot_
}
